diff -Nur advi-1.6.0.old/debian/changelog advi-1.6.0/debian/changelog
--- advi-1.6.0.old/debian/changelog	2006-11-16 18:42:07.000000000 +0100
+++ advi-1.6.0/debian/changelog	2006-11-16 19:10:35.000000000 +0100
@@ -1,3 +1,22 @@
+advi (1.6.0-10.1) unstable; urgency=low
+
+  * NMU to fix two RC bugs and one important bug
+  * [patches/doc_build.dpatch] Make the documentation build again (closes:
+    #398695)
+    - Call imagen explicitly, and use \PassOptionsToPackage instead of
+      \def\driver
+    - In TeX input files, do not specify the extension (.eps) for included
+      images.  This is not needed, and since dvipdfm cannot include eps
+      files, it failed.
+    - Set TEXINPUTS for dvipdfm, too
+  * [patches/build.dpatch,links] Fix configure script to allow for multiple
+    TEXMF trees.  TeX input files are installed in TEXMFMAIN, and no link
+    will be created (closes: #398922)
+  * [rules] Install the manual subdirectory in the advi package, not the
+    examples package (closes: #398920)
+
+ -- Frank KÃ¼ster <frank@debian.org>  Thu, 16 Nov 2006 17:11:12 +0100
+
 advi (1.6.0-10) unstable; urgency=low
 
   * Remove work-around against debhelper bug: use -X.aux instead of -X\\.aux,
diff -Nur advi-1.6.0.old/debian/links advi-1.6.0/debian/links
--- advi-1.6.0.old/debian/links	2006-11-16 18:42:07.000000000 +0100
+++ advi-1.6.0/debian/links	2006-11-16 19:00:34.000000000 +0100
@@ -1,3 +1,2 @@
-usr/lib/advi usr/share/texmf/tex/advi
 usr/share/man/man1/advi.1.gz usr/share/man/man1/advi.bin.1.gz
 usr/share/man/man1/advi.1.gz usr/share/man/man1/zadvi.1.gz
diff -Nur advi-1.6.0.old/debian/patches/build.dpatch advi-1.6.0/debian/patches/build.dpatch
--- advi-1.6.0.old/debian/patches/build.dpatch	2006-11-16 18:42:07.000000000 +0100
+++ advi-1.6.0/debian/patches/build.dpatch	2006-11-16 19:01:00.000000000 +0100
@@ -19,9 +19,9 @@
 
 exit 0
 @DPATCH@
-diff -urN advi-1.6.0/config.ml.in advi-1.6.0-debian/config.ml.in
---- advi-1.6.0/config.ml.in	2004-08-09 22:52:52.000000000 +0200
-+++ advi-1.6.0-debian/config.ml.in	2004-10-21 11:06:04.290421296 +0200
+diff -urNad advi-1.6.0/config.ml.in /tmp/dpep.QLD8OK/advi-1.6.0/config.ml.in
+--- advi-1.6.0/config.ml.in	2006-11-16 19:00:39.000000000 +0100
++++ /tmp/dpep.QLD8OK/advi-1.6.0/config.ml.in	2006-11-16 19:00:39.000000000 +0100
 @@ -44,6 +44,7 @@
  
  (* Location of splash.dvi and test/caml.eps *)
@@ -30,9 +30,9 @@
  let splash_screen = Filename.concat advi_loc "splash.dvi";;
  let scratch_draw_splash_screen =
    Filename.concat advi_loc "scratch_draw_splash.dvi";;
-diff -urN advi-1.6.0/configure advi-1.6.0-debian/configure
---- advi-1.6.0/configure	2004-10-02 23:10:57.000000000 +0200
-+++ advi-1.6.0-debian/configure	2004-10-21 11:08:13.954709328 +0200
+diff -urNad advi-1.6.0/configure /tmp/dpep.QLD8OK/advi-1.6.0/configure
+--- advi-1.6.0/configure	2006-11-16 19:00:39.000000000 +0100
++++ /tmp/dpep.QLD8OK/advi-1.6.0/configure	2006-11-16 19:00:59.000000000 +0100
 @@ -309,7 +309,7 @@
  # include <unistd.h>
  #endif"
@@ -42,7 +42,7 @@
  ac_subst_files=''
  
  # Initialize some variables set by options.
-@@ -4750,6 +4750,7 @@
+@@ -4733,6 +4733,7 @@
  fi
  
  ADVI_LOC=`pwd`
@@ -50,26 +50,21 @@
  
  
  
-@@ -4782,11 +4783,13 @@
+@@ -4766,11 +4767,12 @@
  mylibdir=$libdir
  test "x$libdir" = 'x${exec_prefix}/lib' && mylibdir="$myexec_prefix/lib"
  
 -if test -d $TEXMFMAIN/tex/latex; then
--  ADVI_LOC=$TEXMFMAIN/tex/latex/advi
--else
--  ADVI_LOC=$mylibdir/advi
--fi
-+#if test -d $TEXMFMAIN/tex/latex; then
-+#  ADVI_LOC=$TEXMFMAIN/tex/latex/advi
-+#else
-+#  ADVI_LOC=$mylibdir/advi
-+#fi
-+ADVI_LOC=${mylibdir}/advi
++if test -n "$TEXMFMAIN"; then
+   ADVI_LOC=$TEXMFMAIN/tex/latex/advi
+ else
+   ADVI_LOC=$mylibdir/advi
+ fi
 +ETC_ADVI_LOC=/etc/advi
  
  
  
-@@ -5464,6 +5467,7 @@
+@@ -5448,6 +5450,7 @@
  s,@XINERAMA_FLAG@,$XINERAMA_FLAG,;t t
  s,@HAVE_HEVEA@,$HAVE_HEVEA,;t t
  s,@ADVI_LOC@,$ADVI_LOC,;t t
@@ -77,7 +72,7 @@
  s,@WITH_X@,$WITH_X,;t t
  s,@LIBOBJS@,$LIBOBJS,;t t
  s,@LTLIBOBJS@,$LTLIBOBJS,;t t
-@@ -5740,6 +5744,7 @@
+@@ -5725,6 +5728,7 @@
  echo "LablTk:      $HAVE_LABLTK"
  echo "GS:          $GS_UPTO_DATE version $GS_VERSION at $PATH_GS"
  echo "Resources:   $ADVI_LOC/"
@@ -85,9 +80,21 @@
  echo "Hevea:       $PATH_HEVEA"
  echo "Xinerama:    $HAVE_XINERAMA"
  echo "------------------------------------------------------------------------"
-diff -urN advi-1.6.0/Makefile advi-1.6.0-debian/Makefile
---- advi-1.6.0/Makefile	2004-10-02 23:35:09.000000000 +0200
-+++ advi-1.6.0-debian/Makefile	2004-10-21 11:12:54.977987296 +0200
+diff -urNad advi-1.6.0/configure.in /tmp/dpep.QLD8OK/advi-1.6.0/configure.in
+--- advi-1.6.0/configure.in	2006-11-16 19:00:39.000000000 +0100
++++ /tmp/dpep.QLD8OK/advi-1.6.0/configure.in	2006-11-16 19:00:39.000000000 +0100
+@@ -256,7 +256,7 @@
+ mylibdir=$libdir
+ test "x$libdir" = 'x${exec_prefix}/lib' && mylibdir="$myexec_prefix/lib"
+ 
+-if test -d $TEXMFMAIN/tex/latex; then
++if test -n $TEXMFMAIN; then
+   ADVI_LOC=$TEXMFMAIN/tex/latex/advi
+ else 
+   ADVI_LOC=$mylibdir/advi
+diff -urNad advi-1.6.0/Makefile /tmp/dpep.QLD8OK/advi-1.6.0/Makefile
+--- advi-1.6.0/Makefile	2006-11-16 19:00:39.000000000 +0100
++++ /tmp/dpep.QLD8OK/advi-1.6.0/Makefile	2006-11-16 19:00:39.000000000 +0100
 @@ -58,8 +58,10 @@
  BYTOPTIONS = -warn-error A -g
  BINOPTIONS = -warn-error A -inline 10000
@@ -150,9 +157,9 @@
  
  MLFILES = $(addsuffix .ml, $(MODULES))
  
-diff -urN advi-1.6.0/Makefile.config.in advi-1.6.0-debian/Makefile.config.in
---- advi-1.6.0/Makefile.config.in	2004-10-02 21:21:01.000000000 +0200
-+++ advi-1.6.0-debian/Makefile.config.in	2004-10-21 11:14:20.802939920 +0200
+diff -urNad advi-1.6.0/Makefile.config.in /tmp/dpep.QLD8OK/advi-1.6.0/Makefile.config.in
+--- advi-1.6.0/Makefile.config.in	2006-11-16 19:00:38.000000000 +0100
++++ /tmp/dpep.QLD8OK/advi-1.6.0/Makefile.config.in	2006-11-16 19:00:39.000000000 +0100
 @@ -44,6 +44,7 @@
  includedir=@includedir@
  
diff -Nur advi-1.6.0.old/debian/patches/doc_build.dpatch advi-1.6.0/debian/patches/doc_build.dpatch
--- advi-1.6.0.old/debian/patches/doc_build.dpatch	2006-11-16 18:42:07.000000000 +0100
+++ advi-1.6.0/debian/patches/doc_build.dpatch	2006-11-16 19:00:34.000000000 +0100
@@ -22,33 +22,28 @@
 
 exit 0
 @DPATCH@
-diff -urNad advi-1.6.0~/doc/MakeMan advi-1.6.0/doc/MakeMan
---- advi-1.6.0~/doc/MakeMan	2004-10-02 21:35:39.000000000 +0000
-+++ advi-1.6.0/doc/MakeMan	2006-01-24 22:15:14.000000000 +0000
-@@ -37,7 +37,7 @@
- 	$(RM) $(FILES)
- 
- manpages:
--	for i in $(SRC)/*.m; do \
--	    $(CP) $$i ./`basename $$i .m`.$(MANEXT); \
-+	for i in $(SRC)/*.man; do \
-+	    $(CP) $$i ./`basename $$i .man`.$(MANEXT); \
- 	done
- 
-diff -urNad advi-1.6.0~/doc/Makefile advi-1.6.0/doc/Makefile
---- advi-1.6.0~/doc/Makefile	2006-01-24 22:14:56.000000000 +0000
-+++ advi-1.6.0/doc/Makefile	2006-01-24 22:14:57.000000000 +0000
-@@ -21,7 +21,8 @@
+diff -urNad advi-1.6.0/doc/Makefile /tmp/dpep.rkkLMK/advi-1.6.0/doc/Makefile
+--- advi-1.6.0/doc/Makefile	2006-11-16 17:58:56.000000000 +0100
++++ /tmp/dpep.rkkLMK/advi-1.6.0/doc/Makefile	2006-11-16 17:59:49.000000000 +0100
+@@ -21,22 +21,22 @@
  
  # See also file MakeHTML to recompile HTML files for the Web site.
  
 -SETTEXINPUTS=TEXINPUTS=.:../tex:/usr/lib/hevea/:/usr/local/lib/hevea/:/usr/local/share/texmf/tex//:$$TEXINPUTS
 +# SETTEXINPUTS=TEXINPUTS=.:../tex:/usr/lib/hevea/:/usr/local/lib/hevea/:/usr/local/share/texmf/tex//:$$TEXINPUTS
-+SETTEXINPUTS=TEXINPUTS=.:../tex:/usr/lib/hevea/:
++SETTEXINPUTS=TEXINPUTS=.:../tex:$$TEXINPUTS
  
  LATEX=$(SETTEXINPUTS) latex
  DVIPS=TEXPSHEADERS=.:../tex: dvips
-@@ -35,8 +36,7 @@
+ HEVEA=$(PATH_HEVEA) -entities -I ../tex
+ IMAGEN=$(SETTEXINPUTS) imagen
+-PDFIMAGEN=pdfimagen
+-DVIPDFM=dvipdfm
++#PDFIMAGEN=pdfimagen
++DVIPDFM=$(SETTEXINPUTS) dvipdfm
+ 
+ all: manual.dvi manual.ps manual.pdf manual.html \
+     splash.dvi splash.ps \
      scratch_write_splash.dvi scratch_write_splash.ps \
      scratch_draw_splash.dvi scratch_draw_splash.ps \
      mathmode.dvi \
@@ -67,3 +62,132 @@
  
  
  manual.dvi: ../tex/advi.sty manual.sty splash_contents.tex \
+@@ -95,7 +95,7 @@
+ 	if [ -e $*.dvi ]; then \
+ 	  $(MV) $*.dvi $*.advi; \
+ 	fi
+-	$(LATEX) '\def\driver{dvipdfm}\input' $<
++	$(LATEX) '\PassOptionsToPackage{dvipdfm}{graphicx}\input' $<
+ 	- $(DVIPDFM) -o $@ $*.dvi
+ 	if [ -e $*.advi ]; then \
+ 	  $(MV) $*.advi $*.dvi; \
+@@ -105,8 +105,9 @@
+ 	cp -p $< $*.dvi
+ 
+ .html.ima:
+-	if [ -f $*.image.tex ]; then $(PDFIMAGEN) $*; fi
++	if [ -f $*.image.tex ]; then $(IMAGEN) $*; fi
+ 	touch $*.ima
+ 
+ .tex.html:
+-	$(HEVEA) -fix macros.hva -o $*.html $*.tex
++	$(HEVEA) macros.hva -o $*.html $*.tex
++	$(IMAGEN) $*
+diff -urNad advi-1.6.0/doc/MakeMan /tmp/dpep.rkkLMK/advi-1.6.0/doc/MakeMan
+--- advi-1.6.0/doc/MakeMan	2006-11-16 17:58:56.000000000 +0100
++++ /tmp/dpep.rkkLMK/advi-1.6.0/doc/MakeMan	2006-11-16 17:58:56.000000000 +0100
+@@ -37,7 +37,7 @@
+ 	$(RM) $(FILES)
+ 
+ manpages:
+-	for i in $(SRC)/*.m; do \
+-	    $(CP) $$i ./`basename $$i .m`.$(MANEXT); \
++	for i in $(SRC)/*.man; do \
++	    $(CP) $$i ./`basename $$i .man`.$(MANEXT); \
+ 	done
+ 
+diff -urNad advi-1.6.0/doc/manual.tex /tmp/dpep.rkkLMK/advi-1.6.0/doc/manual.tex
+--- advi-1.6.0/doc/manual.tex	2006-11-16 17:58:56.000000000 +0100
++++ /tmp/dpep.rkkLMK/advi-1.6.0/doc/manual.tex	2006-11-16 17:58:56.000000000 +0100
+@@ -55,7 +55,7 @@
+ \advance \tmpdim by 4em
+ \begin{tabular}{c}
+ \box0 \\
+-\includegraphics[width=\the\tmpdim]{bar.eps}\\
++\includegraphics[width=\the\tmpdim]{bar}\\
+ Reference manual\\
+ {\small Version {\adviversion}}
+ \end{tabular}
+@@ -789,16 +789,16 @@
+ \begin{verbatim}
+ {\setblend{burn}
+   {\setalpha{0.5}
+-    {\includegraphics[width = 0.7\textwidth]{bar.eps}}}}
++    {\includegraphics[width = 0.7\textwidth]{bar}}}}
+ \end{verbatim}
+ 
+ {\setblend{difference}
+   {\setalpha{0.5}
+-    {\includegraphics[width = 0.7\textwidth]{bar.eps}}}}
++    {\includegraphics[width = 0.7\textwidth]{bar}}}}
+ 
+ {\setblend{normal}
+   {\setalpha{0.5}
+-    {\includegraphics[width = 0.7\textwidth]{bar.eps}}}}
++    {\includegraphics[width = 0.7\textwidth]{bar}}}}
+ 
+ \subsection{Colors}
+ 
+diff -urNad advi-1.6.0/doc/scratch_draw_splash.tex /tmp/dpep.rkkLMK/advi-1.6.0/doc/scratch_draw_splash.tex
+--- advi-1.6.0/doc/scratch_draw_splash.tex	2006-11-16 17:58:56.000000000 +0100
++++ /tmp/dpep.rkkLMK/advi-1.6.0/doc/scratch_draw_splash.tex	2006-11-16 17:58:56.000000000 +0100
+@@ -31,7 +31,7 @@
+ 
+ \def\adviheader{\noindent
+ {\bf{\Large {\adviname}} (version \adviversion)}\\
+-\includegraphics[width=\textwidth]{bar.eps}}
++\includegraphics[width=\textwidth]{bar}}
+ 
+ \let \Newpage \newpage
+ \def \newpage {\Newpage \advifooter\adviheader}
+@@ -51,7 +51,7 @@
+ The presentation tool of choice for discriminating hackers.
+ See \texttt{http://pauillac.inria.fr/advi/}
+ &
+-\raisebox{-30pt}{\includegraphics[width=2cm]{advilogo.eps}}
++\raisebox{-30pt}{\includegraphics[width=2cm]{advilogo}}
+ \end{tabularx}
+ 
+ \subsection*{Key bindings when drawing on slides (scratching)}
+diff -urNad advi-1.6.0/doc/scratch_write_splash.tex /tmp/dpep.rkkLMK/advi-1.6.0/doc/scratch_write_splash.tex
+--- advi-1.6.0/doc/scratch_write_splash.tex	2006-11-16 17:58:56.000000000 +0100
++++ /tmp/dpep.rkkLMK/advi-1.6.0/doc/scratch_write_splash.tex	2006-11-16 17:58:56.000000000 +0100
+@@ -31,7 +31,7 @@
+ 
+ \def\adviheader{\noindent
+ {\bf{\Large {\adviname}} (version \adviversion)}\\
+-\includegraphics[width=\textwidth]{bar.eps}}
++\includegraphics[width=\textwidth]{bar}}
+ 
+ \let \Newpage \newpage
+ \def \newpage {\Newpage \advifooter\adviheader}
+@@ -51,7 +51,7 @@
+ The presentation tool of choice for discriminating hackers.
+ See \texttt{http://pauillac.inria.fr/advi/}
+ &
+-\raisebox{-30pt}{\includegraphics[width=2cm]{advilogo.eps}}
++\raisebox{-30pt}{\includegraphics[width=2cm]{advilogo}}
+ \end{tabularx}
+ 
+ \subsection*{Key bindings to write on slides (scratch writing)}
+diff -urNad advi-1.6.0/doc/splash.tex /tmp/dpep.rkkLMK/advi-1.6.0/doc/splash.tex
+--- advi-1.6.0/doc/splash.tex	2006-11-16 17:58:56.000000000 +0100
++++ /tmp/dpep.rkkLMK/advi-1.6.0/doc/splash.tex	2006-11-16 17:58:56.000000000 +0100
+@@ -29,7 +29,7 @@
+ 
+ \def\adviheader{\noindent
+ {\bf{\Large {\adviname}} (version \adviversion)}\\
+-\includegraphics[width=\textwidth]{bar.eps}}
++\includegraphics[width=\textwidth]{bar}}
+ 
+ \let \Newpage \newpage
+ \def \newpage {\Newpage \advifooter\adviheader}
+@@ -51,7 +51,7 @@
+ The presentation tool of choice for discriminating hackers.
+ See \texttt{http://pauillac.inria.fr/advi/}
+ &
+-\raisebox{-30pt}{\includegraphics[width=2cm]{advilogo.eps}}
++\raisebox{-30pt}{\includegraphics[width=2cm]{advilogo}}
+ \end{tabularx}
+ 
+ \subsection*{Usage}
diff -Nur advi-1.6.0.old/debian/rules advi-1.6.0/debian/rules
--- advi-1.6.0.old/debian/rules	2006-11-16 18:42:07.000000000 +0100
+++ advi-1.6.0/debian/rules	2006-11-16 19:08:10.000000000 +0100
@@ -137,8 +137,8 @@
 	dh_testroot -i 
 	dh_installdocs -i
 	dh_installexamples -i -X.aux -X.cmi -X.cmo -X.log -X.out -X.toc
-	mkdir $(CURDIR)/debian/advi-examples/usr/share/doc/advi-examples/manual
-	cd doc && cp -ivp mathmode.dvi splash.dvi scratch_write_splash.dvi scratch_draw_splash.dvi advi_remote.dvi manual.pdf $(CURDIR)/debian/advi-examples/usr/share/doc/advi-examples/manual
+	mkdir $(CURDIR)/debian/advi/usr/share/doc/advi/manual
+	cd doc && cp -ivp mathmode.dvi splash.dvi scratch_write_splash.dvi scratch_draw_splash.dvi advi_remote.dvi manual.pdf $(CURDIR)/debian/advi/usr/share/doc/advi/manual
 	mv $(CURDIR)/debian/advi-examples/usr/share/doc/advi-examples/examples/examples \
 	   $(CURDIR)/debian/advi-examples/usr/share/doc/advi-examples/examples/upstream-examples
 	rm $(CURDIR)/debian/advi-examples/usr/share/doc/advi-examples/examples/upstream-examples/seminar/a14/fig/*.png
